# Interface AdminServer

All Known Implementing Classes:
  `DummyAdminServer, JettyAdminServer`

@Public public interface AdminServer
Interface for an embedded admin server that runs Commands. There is only one functional implementation, JettyAdminServer. DummyAdminServer, which does nothing, is used when we do not wish to run a server.

## Nested Class Summary

Nested Classes
Modifier and Type
Interface
Description
`static class`
`AdminServer.AdminServerException`

## Method Summary

Modifier and Type
Method
Description
`void`
`setZooKeeperServer(ZooKeeperServer zkServer)`
`void`
`shutdown()`
`void`
`start()`

## Method Details

### start

void start() throws AdminServer.AdminServerException

Throws:
  `AdminServer.AdminServerException`

### shutdown

void shutdown() throws AdminServer.AdminServerException

Throws:
  `AdminServer.AdminServerException`

### setZooKeeperServer

void setZooKeeperServer(ZooKeeperServer zkServer)